This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 544352 - qemu aborts with no error message if told to allocate more memory than is available
qemu aborts with no error message if told to allocate more memory than is ava...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F13VirtTarget
  Show dependency treegraph
 
Reported: 2009-12-04 12:18 EST by Robin Green
Modified: 2010-11-08 16:32 EST (History)
9 users (show)

See Also:
Fixed In Version: qemu-system-x86-0.13.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 16:32:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2009-12-04 12:18:47 EST
Description of problem:
qemu aborts in qemu_memalign if told on the command line to allocate 800MB RAM for the virtual machine.

Version-Release number of selected component (if applicable):
qemu-system-x86-0.11.0-11.fc12.i686

How reproducible:
Always

Steps to Reproduce:
1. /usr/bin/qemu-kvm -m 800
 
Actual results:
Aborted

Expected results:
No abort

Additional info:
Program received signal SIGABRT, Aborted.
0x0092e424 in __kernel_vsyscall ()
(gdb) bt
#0  0x0092e424 in __kernel_vsyscall ()
#1  0x00709a81 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x0070b34a in abort () at abort.c:92
#3  0x08056e1e in qemu_memalign (alignment=<value optimized out>, size=<value optimized out>) at /usr/src/debug/qemu-kvm-0.11.0/osdep.c:211
#4  0x08056e3b in qemu_vmalloc (size=<value optimized out>) at /usr/src/debug/qemu-kvm-0.11.0/osdep.c:228
#5  0x08131538 in qemu_ram_alloc (size=838860800) at /usr/src/debug/qemu-kvm-0.11.0/exec.c:2584
#6  0x08099a4e in pc_init1 (ram_size=<value optimized out>, boot_device=<value optimized out>, kernel_filename=<value optimized out>, kernel_cmdline=<value optimized out>, initrd_filename=<value optimized out>,
    cpu_model=<value optimized out>, pci_enabled=<value optimized out>) at /usr/src/debug/qemu-kvm-0.11.0/hw/pc.c:1167
#7  0x08054930 in main (argc=<value optimized out>, argv=<value optimized out>, envp=<value optimized out>) at /usr/src/debug/qemu-kvm-0.11.0/vl.c:6074

glibc-2.11-2.i686
kvm module is loaded
Comment 1 Robin Green 2009-12-05 09:21:04 EST
Rebooting doesn't help.

Using qemu instead of qemu-kvm doesn't help.
Comment 2 Robin Green 2009-12-10 08:32:43 EST
I had set an artificial limit on the amount of memory that could be allocated in /etc/security/limits.conf. But qemu should have printed an informative error message, instead of just aborting.

Changing summary.
Comment 3 Fedora Admin XMLRPC Client 2010-03-09 12:17:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2010-11-04 00:21:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Robin Green 2010-11-08 16:32:22 EST
In Fedora 14 it at least tells you that it failed to allocate memory, due to an "unknown error". I'm going to consider that "good enough" and close this bug.

Note You need to log in before you can comment on or make changes to this bug.